Cyberduck Mountain Duck CLI

#6945 closed defect (thirdparty)

Cannot upload to a site. Works in FileZilla, though.

Reported by: azalea Owned by:
Priority: normal Milestone:
Component: ftp Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

Hi, there,

I'm having a pain in the neck time trying to upload files to a printer over the past few days and cannot, for the life of me, figure out where the issue is.

Hardware/software (this computer)


MacBook Pro 2.5 GHz Intel Core i7 (Oct. 2011 model) Mac OS X Mountain Lion (10.8.2) Cyberduck (4.2.1)

Here is what I'm experiencing:

I can log into the printer's FTP site via my bookmark, no problem. I see the files that are on the server, but when I drag my files into the window for uploading, I get a 550 Error: Permission Denied message.

So I tried the Mac's built-in "Connect to Server" option. Same deal: can log in and see files, but I get the slashed-circle "Don't" symbol.

The thing is, I can go back to an older Mac here (Power Mac G5, OS X Tiger 10.4.11) and use Cyberduck (2.7.3) on that computer and it works just fine. So I've just been transferring files from my MacBook Pro to the G5 and uploading from there.

Then, the printer asked if I had tried FileZilla. I had not, because I didn't have it installed. So I installed it and was able to upload to the server just fine with it, first time out.

The FTP settings for this bookmark are the same in each program and my password in Keychain Access is the same for this server on both the old and new Mac (I even went so far as to delete the Cyberduck bookmark and Keychain Access password item and remake them from scratch based on the settings on the old G5 and am getting the same error), so I'm not sure why the old CyberDuck, on an old Mac, works, but the current CyberDuck, on a new Mac, does not... and it's only on this one FTP site. I've been able to upload elsewhere, no problem.

Any ideas?

Thanks!

Attachments (1)

Screen Shot 2012-11-26 at 9.38.46 AM.png (53.3 KB) - added by azalea on Nov 26, 2012 at 2:46:42 PM.
Screen shot of blank log window

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Nov 24, 2012 at 11:06:51 PM by dkocher

  • Component changed from core to ftp
  • Resolution set to thirdparty
  • Status changed from new to closed

Can you please post the transcript from the log drawer (⌘-L) of the Transfers window. I suspect it is a server issue erroneously responding with a permission failure for absolute paths in the upload STOR command.

comment:2 Changed on Nov 26, 2012 at 2:45:49 PM by azalea

Thank you.

Unfortunately, nothing is showing up in the log drawer when I open it. It's totally blank.

Changed on Nov 26, 2012 at 2:46:42 PM by azalea

Screen shot of blank log window

comment:3 Changed on Nov 26, 2012 at 2:49:26 PM by azalea

Oops, nevermind. I just found out that I have to have the log window open *as it's uploading* for it to display the info.

Here is the transcript.

220 FTP
FEAT
503 Command FEAT not accepted during Connected
USER azalea
331 Enter password
PASS ********
230 User logged in
NOOP
200 Command NOOP succeed
STAT /
220 FTP
FEAT
503 Command FEAT not accepted during Connected
USER azalea
331 Enter password
PASS ********
230 User logged in
CWD /
250 Command CWD succeed
TYPE A
200 Transfer mode set to ASCII
PASV
227 Entering Passive Mode (64,132,97,17,11,204).
LIST -a
125 Transferring directory
drwxr-x---  2 azalea   System            0 Nov 19 12:10 .
drwxr-x---  2 azalea   System            0 Nov 20 17:21 ..
-rwxr-x---  1 azalea   System    557310505 Nov 01 19:24 42142-UNC BB12-049-064-Yearbook Folder.zip
-rwxr-x---  1 azalea   System     22232607 Nov 01 17:30 42142-UNC BB12-065-080 Folder.zip
-rwxr-x---  1 azalea   System     72488364 Nov 01 17:09 42142-UNC BB12-Yearbook Cover Folder.zip
-rwxr-x---  1 azalea   System     14134395 Nov 19 12:10 42212-UNC vs MD-001-016-Change Folder.zip
-rwxr-x---  1 azalea   System     10602383 Nov 19 12:12 42212-UNC vs MD-033-048-Change Folder.zip
-rwxr-x---  1 azalea   System     13610619 Nov 05 13:46 Fixed Pages PDFs.zip
drwxr-x---  2 azalea   System            0 Nov 01 22:32 OLD
-rwxr-x---  1 azalea   System       434026 Nov 05 13:56 Test File.zip
-rwxr-x---  1 azalea   System      2031795 Nov 05 14:16 ToC p3-new.pdf
-rwxr-x---  1 azalea   System     26130295 Nov 06 15:40 UNC vs GT Change Pages.zip
-rwxr-x---  1 azalea   System     67090956 Nov 05 11:40 UNC-Football Covers 6-7.zip
226 Transfer completed
TYPE I
200 Transfer mode set to BINARY
PASV
227 Entering Passive Mode (64,132,97,17,11,205).
STOR /Cyberduck-Upload-Test-SAFE TO DELETE.pdf
550 Permission denied
NOOP
200 Command NOOP succeed
QUIT
221 bye
Last edited on Nov 26, 2012 at 2:52:20 PM by dkocher (previous) (diff)

comment:4 Changed on Nov 26, 2012 at 2:53:48 PM by dkocher

I can confirm there is nothing wrong with the commands sent but the server possibly has an issue handling absolute paths. Please report the issue to the server vendor.

comment:5 Changed on Nov 26, 2012 at 3:09:10 PM by azalea

OK, thank you!

Note: See TracTickets for help on using tickets.
swiss made software